--- title: "Task and Status Identifiers" slug: "task-and-status-identifiers" updated: 2026-06-29T14:34:18Z published: 2026-06-29T14:34:18Z canonical: "docs.xtremepush.com/task-and-status-identifiers" stale: true --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.xtremepush.com/llms.txt > Use this file to discover all available pages before exploring further. # Task and Status Identifiers ## Task identifiers The identifier parameter is used to filter on task type. A list of task identifiers which can be used for the [task list](/v1-api/apidocs/list-tasks) and [task info](/v1-api/apidocs/info-task) API endpoints can be found below. > [!TIP] > Many of the tasks are manually initiated. API initiated tasks or automated tasks are those more likely to require API based checks. | Task Identifier | Description | | --- | --- | | `profile_import` | Asynchronous task to import profiles | | `profile_export_data` | Asynchronous task to export profiles | | `profile_delete_personal_data` | Asynchronous task to delete all PII data from a profile | | `cleanup_users` | Asynchronous task to delete all profiles which should no longer be held according to the configured data retention policy | | `list_import` | Asynchronous task to import a target audience from a list of users | | `list_export` | Asynchronous task to export a target audience of a list of users | | `message_export_campaign` | Asynchronous task to export campaign data | | `message_export_send` | Asynchronous task to export message send data | | `campaign_count_recipients` | Asynchronous task to count the target audience of a campaign (or eligible recipients) | | `campaign_preview_recipients` | Asynchronous task to preview the target audience of a campaign (or eligible recipients) | | `segment_count_recipients` | Asynchronous task to count the target audience of a segment (or eligible recipients) | | `segment_export_devices` | Asynchronous task to export the target audience of a segment (or eligible recipients) as a list of device IDs | | `segment_export_profiles` | Asynchronous task to export the target audience of a segment (or eligible recipients) as a list of user IDs | | `active_directory_lists_sync` | Example of an asynchronous task related to an integration—syncing a list from active directory | | `active_directory_profiles_sync` | Example of an asynchronous task related to an integration—syncing profiles from active directory | | `kochava_sync_installs` | Example of an asynchronous task related to an integration—syncing attributed installs from Kochava | Return the list of profile import tasks after a specific time order the list descending by ID: ```curl curl --request POST \  --url https://external-api.xtremepush.com/api/external/list/task \  --header 'content-type: application/json' \  --data '{    "apptoken": "YOUR_APPTOKEN",    "condition": [      ["identifier", "=" , "profile_import"],      ["finish_time", ">" , 1580226128]    ],    "order": ["id DESC"],    "select": ["id", "identifier", "errors", "finish_time"] }' ``` Sample response: ```json {    "success": true,    "code": 200,    "data": [        {            "id": 5853,            "identifier": "profile_import",            "errors": {                "file[columns]": [                    "Column 'firstname' is not set to be a profile attribute"                ],                "file[rows]": [                    "Rows must contain identifier (Row 4)"                ]            },            "finish_time": 1596217813        },        {            "id": 5852,            "identifier": "profile_import",            "errors": {                "file[columns]": [                    "Column 'first.name' is not a recognized user profile field or attribute",                    "Column 'LTV' is not a recognized user profile field or attribute"                ]            },            "finish_time": 1596216946        },        {            "id": 62,            "identifier": "profile_import",            "errors": {                "file[rows]": [                    "7 Rows must contain identifier ( Row 6, Row 11, Row 13, Row 18, ...)",                    "9 Rows are duplicates ( Row 12, Row 14, Row 15, Row 19, ...)"                ]            },            "finish_time": 1580228176        }    ] } ``` ## Status identifiers Task status types are displayed by their identifier: | Status ID | Status name | | --- | --- | | 0 | New | | 1 | Executing | | 2 | Done | | 3 | Error | | 4 | Fatal |